Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostCameraService

    public interface ForpostCameraService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `addForpostCamera​(int contractId, ForpostCamera forpostCamera)` |
  `void` | `deleteForpostAccountCameras​(int accountId)` |
  `void` | `deleteForpostCamera​(int id)` |
  `void` | `doSync()` |
  `void` | `doSyncForpostCameras​(int accountId)` |
  `ForpostCamera` | `getDefaultForpostCamera()` |
  `SearchResult<ForpostCamera>` | `searchForpostAccountCameras​(int accountId)` |
  `SearchResult<ForpostTMCAO<ForpostCamera>>` | `searchForpostCameras​(ru.bitel.bgbilling.common.model.KeyValue filter, java.lang.String[] sort, Page page)` |
  `void` | `updateForpostCamera​(ForpostCamera forpostCamera)` |
  `void` | `updateForpostCameraParam​(int forpostCameraId, java.lang.String name, java.lang.String value)` |

- ## Method Details

  - ### searchForpostCameras

    SearchResult<ForpostTMCAO<ForpostCamera>> searchForpostCameras​(ru.bitel.bgbilling.common.model.KeyValue filter, java.lang.String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchForpostAccountCameras

    SearchResult<ForpostCamera> searchForpostAccountCameras​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSync

    void doSync() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSyncForpostCameras

    void doSyncForpostCameras​(int accountId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDefaultForpostCamera

    ForpostCamera getDefaultForpostCamera() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addForpostCamera

    int addForpostCamera​(int contractId, ForpostCamera forpostCamera) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateForpostCamera

    void updateForpostCamera​(ForpostCamera forpostCamera) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateForpostCameraParam

    void updateForpostCameraParam​(int forpostCameraId, java.lang.String name, java.lang.String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteForpostCamera

    void deleteForpostCamera​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteForpostAccountCameras

    void deleteForpostAccountCameras​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`